TYPE
 TVbeInfo = record
  VbeSignature       : array[1..4] of char;
  VbeVersion         : Word;
  OemStringPtr       : dword;
  Capabilities       : dword;
  VideoModePtr       : dword;
  TotalMemory        : Word;
  OEMSoftwareRev     : Word;
  OEMVendorNamePtr   : dword;
  OEMProductNamePtr  : dword;
  OEMProductRevPtr   : dword;
  Reserved           : array [0..221] of Byte;
  OEMData            : array [0..255] of Byte;
 end;

 (* VBE mode info block structure *)
 TVbeModeInfo = Packed record
  (* VBE 1.2 extention information *)
  ModeAttributes     : Word;
  WinAAttributes     : Byte;
  WinBAttributes     : Byte;
  WinGranularity     : Word;
  WinSize            : Word;
  WinASegment        : Word;
  WinBSegment        : Word;
  WinFuncPtr         : Pointer;
  BytesPerScanLine   : Word;
  XResolution        : Word;
  YResolution        : Word;
  XCharSize          : Byte;
  YCharSize          : Byte;
  NumberOfPlanes     : Byte;
  BitsPerPixel       : Byte;
  NumberOfBanks      : Byte;
  MemoryModel        : Byte;
  BankSize           : Byte;
  NumberOfImagePages : Byte;
  Reserved           : Byte;
  RedMaskSize        : Byte;
  RedFieldPosition   : Byte;
  GreenMaskSize      : Byte;
  GreenFieldPosition : Byte;
  BlueMaskSize       : Byte;
  BlueFieldPosition  : Byte;
  RsvdMaskSize       : Byte;
  RsvdFieldPosition  : Byte;
  DirectColorModeInfo: Byte;
  (* VBE 2.0 extention information *)
  PhysBasePtr        : DWord;
  OffScreenMemOffset : DWord;
  OffScreenMemSize   : Word;
  (* VBE 3.0 extention information *)
  LinBytesPerScanLine  :Word;    { bytes per scanline }
  BnkNumberOfImagePages:Byte;    { number of image pages (banked) }
  LinNumberOfImagePages:Byte;    { number of image pages (linear) }
  LinRedMaskSize       :Byte;
  LinRedFieldPosition  :Byte;
  LinGreenMaskSize     :Byte;
  LinGreenFieldPosition:Byte;
  LinBlueMaskSize      :Byte;
  LinBlueFieldPosition :Byte;
  LinRsvdMaskSize      :Byte;
  LinRsvdFieldPosition :Byte;
  MaxPixelClock        :DWord;   { maximum pixel clock }

  Reserved2          : Array [0..191] of Byte;
 end;
